Bug 971302 - Message after removing custom info for distributor is invalid in cli
Message after removing custom info for distributor is invalid in cli
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.1
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Tom McKay
sthirugn@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 05:00 EDT by Tazim Kolhar
Modified: 2016-04-25 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-30 13:47:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2013-06-06 05:00:07 EDT
Description of problem:

Message after removing custom info for distributor is invalid in cli

Version-Release number of selected component (if applicable):

# rpm -qa | grep katello
signo-katello-0.0.15-1.el6sat.noarch
katello-glue-pulp-1.4.2-8.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-foreman-all-1.4.2-8.el6sat.noarch
katello-cli-1.4.2-6.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.8-4.el6sat.noarch
katello-glue-candlepin-1.4.2-8.el6sat.noarch
katello-all-1.4.2-8.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.4.2-6.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-2.el6_4.noarch
katello-glue-elasticsearch-1.4.2-8.el6sat.noarch
katello-selinux-1.4.3-3.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.3-4.el6sat.noarch
katello-configure-1.4.3-12.el6sat.noarch
katello-configure-foreman-1.4.3-12.el6sat.noarch
katello-common-1.4.2-8.el6sat.noarch
katello-1.4.2-8.el6sat.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch

How reproducible:
# yum install katello-foreman-all
# katello-configure --user-pass=***

Steps to Reproduce:

1.# katello -u admin -p **** distributor add_custom_info --org test --name tazim_dis --keyname testkey --value testval
Successfully added Custom Information [ testkey : testval ] to Distributor [ tazim_dis ]

2.# katello -u admin -p **** distributor info --name tazim_dis --org test
--------------------------------------------------------------------------------
                    Distributor Information For Org [ test ]
--------------------------------------------------------------------------------

Name         : tazim_dis
UUID         : 6f064822-889e-4883-8ff8-5a24892a3705
Environment  : Library
Created      : 2013/06/06 08:35:45
Last Updated : 2013/06/06 08:35:45
Description:
    Initial Creation Params
Custom Info:
    [ testkey: testval ]

3.# katello -u admin -p *** distributor remove_custom_info --org test --name tazim_dis --keyname testkey
Could not remove Custom Information from Distributor [ tazim_dis ]

4.# katello -u admin -p *** distributor info --name tazim_dis --org test
--------------------------------------------------------------------------------
                    Distributor Information For Org [ test ]
--------------------------------------------------------------------------------

Name         : tazim_dis
UUID         : 6f064822-889e-4883-8ff8-5a24892a3705
Environment  : Library
Created      : 2013/06/06 08:35:45
Last Updated : 2013/06/06 08:35:45
Description:
    Initial Creation Params
Custom Info:
    [  ]



Actual results:
The custom info is removed but the message is
'Could not remove Custom Information from Distributor [ tazim_dis ]'

Expected results:
The message should be 'Successfully removed Custom Information from Distributor [ tazim_dis ]'

Additional info:
Comment 6 sthirugn@redhat.com 2014-04-30 13:47:42 EDT
Custom Distributor not relevant to Sat 6 now.

Note You need to log in before you can comment on or make changes to this bug.